Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateUnreadChatCount

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateUnreadChatCount

Enclosing class:
  TdApi

public static final class TdApi.UpdateUnreadChatCount extends TdApi.Update
Number of unread chats, i.e. with unread messages or marked as unread, has changed. This update is sent only if the message database is used.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatList`
`chatList`
The chat list with changed number of unread messages.
`static final int`
`CONSTRUCTOR`
`int`
`markedAsUnreadCount`
Total number of chats marked as unread.
`int`
`markedAsUnreadUnmutedCount`
Total number of unmuted chats marked as unread.
`int`
`totalCount`
Approximate total number of chats in the chat list.
`int`
`unreadCount`
Total number of unread chats.
`int`
`unreadUnmutedCount`
Total number of unread unmuted chats.

## Constructor Summary

Constructors
Constructor
Description
`UpdateUnreadChatCount()`
Number of unread chats, i.e.
`UpdateUnreadChatCount(TdApi.ChatList chatList, int totalCount, int unreadCount, int unreadUnmutedCount, int markedAsUnreadCount, int markedAsUnreadUnmutedCount)`
Number of unread chats, i.e.
`UpdateUnreadChatCount(DataInput input)`
Number of unread chats, i.e.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatList

public TdApi.ChatList chatList
The chat list with changed number of unread messages.

### totalCount

public int totalCount
Approximate total number of chats in the chat list.

### unreadCount

public int unreadCount
Total number of unread chats.

### unreadUnmutedCount

public int unreadUnmutedCount
Total number of unread unmuted chats.

### markedAsUnreadCount

public int markedAsUnreadCount
Total number of chats marked as unread.

### markedAsUnreadUnmutedCount

public int markedAsUnreadUnmutedCount
Total number of unmuted chats marked as unread.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateUnreadChatCount

public UpdateUnreadChatCount()
Number of unread chats, i.e. with unread messages or marked as unread, has changed. This update is sent only if the message database is used.

### UpdateUnreadChatCount

public UpdateUnreadChatCount(TdApi.ChatList chatList, int totalCount, int unreadCount, int unreadUnmutedCount, int markedAsUnreadCount, int markedAsUnreadUnmutedCount)
Number of unread chats, i.e. with unread messages or marked as unread, has changed. This update is sent only if the message database is used.

Parameters:
  `chatList` - ChatList The chat list with changed number of unread messages.
  `totalCount` - int Approximate total number of chats in the chat list.
  `unreadCount` - int Total number of unread chats.
  `unreadUnmutedCount` - int Total number of unread unmuted chats.
  `markedAsUnreadCount` - int Total number of chats marked as unread.
  `markedAsUnreadUnmutedCount` - int Total number of unmuted chats marked as unread.

### UpdateUnreadChatCount

public UpdateUnreadChatCount(DataInput input) throws IOException
Number of unread chats, i.e. with unread messages or marked as unread, has changed. This update is sent only if the message database is used.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`